Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Class FileText

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<String>
              com.puppycrawl.tools.checkstyle.api.FileText

All Implemented Interfaces:
  Iterable<String>, Collection<String>, List<String>

    public final class FileText

extends AbstractList<String>

Represents the text contents of a file of arbitrary plain text type.

This class will be passed to instances of class FileSetCheck by Checker. It implements a string list to ensure backwards compatibility, but can be extended in the future to allow more flexible, more powerful or more efficient handling of certain situations.

Author:
  Martin von Gagern

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FileText(File aFile, String aCharsetName)` Creates a new file text representation.

Method Summary
`static FileText` | `fromLines(File aFile, List<String> aLines)` Compatibility conversion.
`String` | `get(int aLineNo)` Retrieves a line of the text by its number.
`ByteBuffer` | `getBytes()` Get the binary contents of the file.
`Charset` | `getCharset()` Get the character set which was used to read the file.
`File` | `getFile()` Get the name of the file.
`CharSequence` | `getFullText()` Retrieve the full text of the file.
`LineColumn` | `lineColumn(int aPos)` Determine line and column numbers in full text.
`int` | `size()` Counts the lines of the text.
`String[]` | `toLinesArray()` Returns an array of all lines.

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### FileText

    public FileText(File aFile,
                    String aCharsetName)
             throws IOException

  Creates a new file text representation. The file will be read using the specified encoding, replacing malformed input and unmappable characters with the default replacement character.

  Parameters:
    `aFile` - the name of the file
    `aCharsetName` - the encoding to use when reading the file
  Throws:
    `NullPointerException` - if the text is null
    `IOException` - if the file could not be read

Method Detail

### fromLines

    public static FileText fromLines(File aFile,
                                     List<String> aLines)

  Compatibility conversion. This method can be used to convert the arguments passed to `FileSetCheck.process(File,List)` to a FileText object. If the list of lines already is a FileText, it is returned as is. Otherwise, a new FileText is constructed by joining the lines using line feed characters.

  Parameters:
    `aFile` - the name of the file
    `aLines` - the lines of the text, without terminators
  Returns:
    an object representing the denoted text file

### getFile

    public File getFile()

  Get the name of the file.

  Returns:
    an object containing the name of the file

### getCharset

    public Charset getCharset()

  Get the character set which was used to read the file. Will be `null` for a file reconstructed from its lines.

  Returns:
    the charset used when the file was read

### getBytes

    public ByteBuffer getBytes()
                        throws IOException

  Get the binary contents of the file. The returned object must not be modified.

  Returns:
    a buffer containing the bytes making up the file
  Throws:
    `IOException` - if the bytes could not be read from the file

### getFullText

    public CharSequence getFullText()

  Retrieve the full text of the file.

  Returns:
    the full text of the file

### toLinesArray

    public String[] toLinesArray()

  Returns an array of all lines. `text.toLinesArray()` is equivalent to `text.toArray(new String[text.size()])`.

  Returns:
    an array of all lines of the text

### lineColumn

    public LineColumn lineColumn(int aPos)

  Determine line and column numbers in full text.

  Parameters:
    `aPos` - the character position in the full text
  Returns:
    the line and column numbers of this character

### get

    public String get(int aLineNo)

  Retrieves a line of the text by its number. The returned line will not contain a trailing terminator.

  Specified by:
    `get` in interface `List<String>`
  Specified by:
    `get` in class `AbstractList<String>`
  Parameters:
    `aLineNo` - the number of the line to get, starting at zero
  Returns:
    the line with the given number

### size

    public int size()

  Counts the lines of the text.

  Specified by:
    `size` in interface `Collection<String>`
  Specified by:
    `size` in interface `List<String>`
  Specified by:
    `size` in class `AbstractCollection<String>`
  Returns:
    the number of lines in the text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011. All Rights Reserved.